

* {
    scroll-padding-top: 3rem;
    scroll-behavior: smooth;
}

:root {
    --main-color: #957221;
    --bg-color: #f0e5d6;
    --text-p-color: #000000;
    --text-h2-color: #412f26;
    --big-font: 6rem;
    --h2-font: 2.4rem;
    --h3-font: 1.8rem;
    --h4-font:1.2rem;
    --p-font: 16px;
}

html, body {
    max-width: 100%; /* Uncommented to prevent body from exceeding viewport width */
    overflow-x: hidden; /* Prevent horizontal scroll */
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.hero-derma {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
 
    height: 70vh;
    padding: 8%;

    /* background: transparent linear-gradient(261deg, #b99236 0%, #ffe9bd 100%) 0% 0% no-repeat padding-box; */

    background: url(../img/derma/hero.png);
    position: relative;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
     /* background: transparent radial-gradient(closest-side at 50% 50%, #f0daae 0%, #b99b74 100%) 0% 0% no-repeat padding-box;  */
}
.hero-derma-left {
    display: flex;
    justify-content: center;
    flex-direction: column;
   text-align: center;
    gap: 10px;
    
}
.hero-derma-left h1 {

    background: url(../img/dental/bg6.jpg) 0 0 / cover no-repeat;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;

    font-size: 55px;
    font-weight: 900;
    line-height: 1.5;
    margin-bottom: 20px;
    font-family: serif;
}

.hero-derma-left h3 {
    color: black;
    font-size: 28px;
    font-family: serif;
    margin-bottom: 10px;
}
.hero-content img {
    width: 100px;
    height: 100px;
    margin-bottom: 10px;
    padding-right: 5px;
    
}
.hero-derma-right {
    justify-self: flex-end;
    align-self: center;
    
}

.hero-derma-right img {
    width: 600px;
    height: auto;
    opacity: 0.9;
    border-radius: 12px;
}

.btn1 {
    background: linear-gradient(#edcc84, #c79833);
    border-color: #edcc84;
    border-radius: 12px;
    padding: 12px 20px;
    width: 200px;
    text-align: center;
    margin-top: 30px;
    color: white;
    font-weight: 600;
}
@media (max-width: 1400px) {
    .hero-derma-left h1 {
        font-size: 45px;
        line-height: 2;
        margin-bottom: 20px;
    }
    .hero-derma-left h3 {
        font-size: 28px;
    }
    .hero-derma-right img {
        width: 500px;
    }
}

@media (max-width: 1200px) {
    .hero-derma {
        flex-direction: column;
        padding-top: 140px;
        padding-bottom: 100px;
        justify-content: center;
        gap: 60px;
    }
    .hero-derma-left{
        text-align: center;
    }
    .hero-derma-left h1 {
        font-size: 50px;
        line-height: 1.5;
        margin-bottom: 20px;
    }
    .hero-derma-left h3 {
        font-size: 28px;
    }
    .hero-derma-right img {
        width: 600px;
    }
    .btn1 {
        padding: 10px 10px;
        width: 200px;
        font-size: 14px;
    }
}

@media (max-width: 800px) {
    .hero-derma-right img {
        width: 500px;
    }
}

@media (max-width: 600px) {
    .hero-derma {
        flex-direction: column;
        padding-top: 140px;
        justify-content: center;
        gap: 50px;
        padding-bottom: 100px;
        padding: 8% 2%;
    }
    .hero-derma-left h1 {
        font-size: 35px;
        line-height: 1.5;
        /* margin-bottom: 30px; */
        font-weight: 700;
    }
    .hero-derma-left h3 {
        margin-bottom: 10px;
        font-size: 20px;
    }
    .hero-derma-right img {
        width: 100%;
    }
    .btn1 {
        padding: 10px 10px;
        width: 180px;
        font-size: 16px;
    }
    .hero-content img{
        width: 50px;
        height: 50px;
        margin-bottom: 15px;
    }
}

@media (max-width: 380px) {
    .hero-derma {
        flex-direction: column;
        padding-top: 100px;
        justify-content: center;
        gap: 40px;
    }
    .hero-derma-left h1 {
        font-size: 28px;
        line-height: 1.5;
        margin-bottom: 30px;
        font-weight: 700;
    }
    .hero-derma-left h3 {
        margin-bottom: 10px;
        font-size: 14px;
    }
    .hero-derma-right img {
        width: 100%;
    }
    .btn1 {
        padding: 10px 10px;
        width: 180px;
        font-size: 12px;
    }
}


/* ---about---- */

section{
    padding:10% 10%; 
    
    background: url(../img/derma/bg4.jpg);
    position: relative;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.about{
    display: flex;
    gap: 40px;
    justify-content: space-between
    ;
    align-items: center;
    height: auto;  
}

.about .about-left{
    display: flex;
    flex-direction: column; 
    gap: 10px;
}
.about .about-left h3{

    font-family: serif;
    font-size: var(--h3-font);
  
}
.about .about-left h4{

    
    font-size: var(--h4-font);
  
}
.about .about-left p{
    line-height: 1.5;
    text-align: justify;
    font-size: var(--p-font);
    margin-top: 10px;
}
.about .about-left h2{

    font-family: serif;
    font-size: var(--h2-font);
    background: url(../img/dental/bg6.jpg) 0 0 / cover no-repeat;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    line-height: 1.5;
}

.about .about-right{
    display: flex;
    flex-direction: column; 
    align-self: center;
    justify-self: center;

}

.about .about-right img{
    width: 600px;
    animation: fadeInUp 2s ease-out, zoomBounce 5s infinite;
 
    border-radius: 12px;
    height: auto;
    vertical-align: middle;
}
@keyframes zoomBounce {
    0%, 100% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.05);
    }
}



.main{
    background: linear-gradient(60deg,#f5cb86,#7e5936);
    padding:10% 10%; 
}
.service-text{
    text-align: center;
}
.service-text h3{
    font-family: serif;
    font-size: var(--h3-font);
    margin-bottom: 10px;
}
.service-text h2{
    font-family: serif;
    font-size: var(--h2-font);
    /* background: url(../img/dental/bg6.jpg) 0 0 / cover no-repeat;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    */
   color: #f0e5d6;
    line-height: 1.2;
    margin-bottom: 10px;
}   
.service-text p{
    line-height: 1.5;
    text-align: justify;
    font-size: var(--p-font);
    margin-top: 10px;
}   


/* ------------------------------------service card-------------------------------------------- */
.services-card-section {
    margin-top: 50px;
    display: flex;
    overflow-x: auto; /* Enable horizontal scrolling */
    overflow-y: hidden; /* Hide vertical scrolling */
    /* white-space: nowrap;  */
    /* Prevent line breaks */
}

.services-slider-track {
    display: flex;
    gap: 20px;
}

.services-card {
    background: transparent linear-gradient(180deg, #FDFBF6 0%, #EEE0C4 100%) 0% 0% no-repeat;
    box-shadow: 4px 4px 5px -1px rgba(0, 0, 0, 0.15), -4px -4px 5px -1px rgba(255, 255, 255, 0.7);
    height: 340px;
    width: 280px;
    border-radius: 10px;
    border: 3px solid white;
    display: inline-flex; /* Use inline-flex for horizontal scroll */
    flex-direction: column;
    padding: 5px;
}

.services-card .card-content {
    padding: 10px;
}

.services-card .card-content img {
    width: 100%;
    height: 200px;
    border-radius: 15px;
    margin-bottom: 10px;
    box-shadow: 4px 4px 5px -1px rgba(0, 0, 0, 0.15), -4px -4px 5px -1px rgba(226, 226, 226, 0.7);
}

.services-card .card-content h6 {
    font-size: 16px;
    font-weight: 700;
    color: #291c02;
}

.services-card .card-content p {
    font-size: 14px;
    font-weight: 500;
    line-height: 1.5;
    margin-top: 10px;
    color: black;
}

/* Style the scrollbar */
.services-card-section::-webkit-scrollbar {
    height: 4px; /* Adjust the height of the scrollbar */
    padding: 10px 0;
}

.services-card-section::-webkit-scrollbar-thumb {
    background: #ccc; /* Color of the scroll thumb */
    border-radius: 10px; /* Rounded corners */
}

.services-card-section::-webkit-scrollbar-track {
    background: #f3e499; /* Background of the scrollbar track */
}



.service-video {
 
    height: auto;
}
.service-video  h2{
    font-family: serif;
    font-size: var(--h2-font);
    background: url(../img/dental/bg6.jpg) 0 0 / cover no-repeat;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
   
   /* color: #f0e5d6; */
    line-height: 1.2;
    margin-bottom: 5%;
    text-align: center;
}

.video-card {
    border: 2px solid white;
    padding: 20px;
    background-color: white;
}

.video-card h3 {
    margin-bottom: 20px;
    text-align: center;
}

.video-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
}

.video-item {
    background-color: #f9f9f9;
    padding: 10px;
    border-radius: 10px;
    text-align: center; /* Center the titles under the videos */
}

video {
    width: 100%;
    height: auto;
    max-height: 500px;
    display: block;
    border-radius: 10px;
}

/* Additional styling for h4 titles */
.video-item h4 {
    margin-top: 10px;
    font-size: 16px;
    color: #333;
}



.why{

    padding:10% 10%; 
    
    background: url(../img/derma/bg5.jpg);
    position: relative;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    
    display: flex;
    justify-content: center;
    flex-direction: column;
   
    gap: 40px;
}

.why-content{
    display: flex;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    gap: 10px; 
}
.why-content h3{
    font-family: serif;
    font-size: var(--h3-font); 
}
.why-content h2{
    font-family: serif;
    font-size: var(--h2-font);
    background: url(../img/dental/bg6.jpg) 0 0 / cover no-repeat;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
   
   /* color: #f0e5d6; */
    line-height: 1.2;
  
    text-align: center; 
}

.why-content h4{
   
    font-size: var(--h4-font);
}
.why-content p{
    line-height: 1.5;
    text-align: justify;
    font-size: var(--p-font);
}
.why-cards{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 15px; 
}
.card {
    background: transparent radial-gradient(closest-side at 50% 50%, #f0daae 0%, #b99b74 100%) 0% 0% no-repeat padding-box; 
    /* background: transparent linear-gradient(261deg, #b99236 0%, #ffe9bd 100%) 0% 0% no-repeat padding-box; */
    border-radius: 10px;
    padding: 30px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    text-align: center;
}

.card img{
    width: 75px;
    height: 75px;
    padding: 10px;
    background-color: #feefcd;
    border: 2px solid white;
    border-radius: 50px;
}

.card h3 {
    font-size: 18px;
    font-weight: 700;
    margin-bottom: 15px;
    color: #333; /* Adjust color as needed */
}

.card p {
    font-size: 14px;
    font-weight: 500;
    text-align: justify;
    color: #f7f3f3; /* Adjust color as needed */
}


.derma-appoinment{


    padding:5% 8%; 
    background-color: #b99b74;
   
    /* background: url(../img/derma/bg6.png);
    position: relative;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat; */

    
    
    height: auto;
}

.derma-appoinment .derma-cta{


   height: auto;
   

   background-color: rgba(226, 226, 226, 0.2);

 
   border: 3px solid; /* Set the width of the border */
   border-image-slice: 1; /* This is required for the border-image to work */
   border-image-source: linear-gradient(45deg,#8e6015, #fdddaa, #dab766, #b69121); /* Set the linear gradient */
   border-radius: 12px;



   

}

.derma-appoinment .derma-cta .cta-contents{

    padding: 30px;
    display: flex;
     justify-content: space-evenly;
    align-items: center;
   
    gap: 30px;
}
.derma-appoinment .derma-cta .cta-contents .cta-left{
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.derma-appoinment .derma-cta .cta-contents h2{

    font-size: 40px;
    line-height: 1.5;
    background: url(../img/dental/bg6.jpg) 0 0 / cover no-repeat;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;

}

.derma-appoinment .derma-cta .cta-contents h3{

    font-size: 30px;
    font-family: serif;
    
}

.derma-appoinment .derma-cta .cta-contents h4{

    font-size: 20px;
    font-family: serif;
    color: #f9f4e7;
    
}
.derma-btn{

    margin-top: 30px;
    display: flex;
    gap: 10px;
}

.derma-btn .call-btn {
    width: 200px;
    height: 45px;
    background: linear-gradient(#a06236, #d7b055);
    text-align: center;
    vertical-align: middle;
    border-radius: 5px;
    padding-top: 5px;
    font-weight: 600;
    font-family: serif;
    font-size: 18px;
    color: #e7e7e7;
}

.derma-btn .call-btn2 {
    width: 200px;
    height: 45px;
    background: transparent linear-gradient(180deg, #FDFBF6 0%, #EEE0C4 100%) 0% 0% no-repeat;

    text-align: center;
    padding-top: 5px;
    border-radius: 5px;
    font-weight: 600;
    font-family: serif;
    font-size: 18px;
}

.derma-btn .call-btn2 i {
    font-size: 20px;
    font-weight: 900;
    color: #c79833;
    padding: 5px;
}
.derma-appoinment .derma-cta .cta-contents  img{

    animation: fadeInUp 2s ease-out, zoomBounce 5s infinite;

  width: 400px;
  height: 400px;
    
}

@keyframes zoomBounce {
    0%, 100% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.05);
    }
}
@media(max-width:1100px){

    .derma-appoinment  {
        padding: 12% 8%;
    }

    .derma-appoinment .derma-cta .cta-contents{

        padding: 100px 20px;
      
        flex-direction: column;
        /* justify-content: flex-start;
        align-items: flex-start; */
       
        gap: 50px;
    }

    
    .derma-appoinment .derma-cta .cta-contents .cta-left{
      
        overflow: hidden;
        gap: 15px;
        text-align: center;
    }
    
    .derma-appoinment .derma-cta .cta-contents h2{
    
        font-size: 55px;
        line-height: 1.5;
       
    
    }
    
    .derma-appoinment .derma-cta .cta-contents h3{
    
        font-size: 30px;
        
        
    }
    
    .derma-appoinment .derma-cta .cta-contents h4{
    
        font-size: 24px;
      
        
    }
    .derma-appoinment .derma-cta .cta-contents  .cta-right{

        display: flex;
        flex-direction: column;
        justify-self: center;
        align-self: center;
    }
    
    .derma-appoinment .derma-cta .cta-contents img{
        width: 80%;
        height: auto;
        align-self: center;
    }
   

    
    .derma-btn .call-btn {
        width: 220px;
        height: 40px;
       
        font-size: 14px;
       
    }
    
    .derma-btn .call-btn2 {
        width: 220px;
        height: 40px;
      
        font-size: 14px;
    }
    
    .derma-btn .call-btn2 i {
        font-size: 14px;
       
    }
    .derma-btn{
        align-items: center;
        display: flex;
        justify-content: center;
    }
   
    
}

@media(max-width:800px){

  

    
    
    .derma-appoinment .derma-cta .cta-contents h2{
    
        font-size: 40px;
        line-height: 1.5;
       
    
    }
    
    .derma-appoinment .derma-cta .cta-contents  .cta-right{

        display: flex;
        flex-direction: column;
        justify-self: center;
        align-self: center;
    }
    
    .derma-appoinment .derma-cta .cta-contents img{
        width: 80%;
        height: auto;
        align-self: center;
    }
   

    
    

   
    
}

@media(max-width:600px){

    .derma-appoinment  {
        padding: 12% 5%;
    }

    .derma-appoinment .derma-cta .cta-contents{

        padding: 40px 20px;
      
        flex-direction: column;
        /* justify-content: flex-start;
        align-items: flex-start; */
       
        gap: 50px;
    }

    
    .derma-appoinment .derma-cta .cta-contents .cta-left{
      
        overflow: hidden;
        gap: 15px;
    }
    
    .derma-appoinment .derma-cta .cta-contents h2{
    
        font-size: 24px;
        line-height: 2;
       
    
    }
    
    .derma-appoinment .derma-cta .cta-contents h3{
    
        font-size: 20px;
        
        
    }
    
    .derma-appoinment .derma-cta .cta-contents h4{
    
        font-size: 16px;
      
        
    }
    .derma-appoinment .derma-cta .cta-contents img{
        width: 90%;
        height: auto;
        align-self: center;
    }
    .derma-btn{

        flex-direction: column;
        align-items: center;
    }

    
    .derma-btn .call-btn {
        width: 250px;
        height: 35px;
       
        font-size: 14px;
       
    }
    
    .derma-btn .call-btn2 {
        width: 250px;
        height: 35px;
      
        font-size: 14px;
    }
    
    .derma-btn .call-btn2 i {
        font-size: 14px;
       
    }

   
    
}

@media(max-width:450px){
    .derma-appoinment .derma-cta .cta-contents h2{
    
        font-size: 28px;
        line-height: 1.5;
       
    
    }
    
    .derma-appoinment .derma-cta .cta-contents h3{
    
        font-size: 16px;
        
        
    }
    
    .derma-appoinment .derma-cta .cta-contents h4{
    
        font-size: 16px;
      
        
    }
}

.derma-appo{

    padding: 8%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background: url(../img/derma/bg4.jpg);
    position: relative;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

}


.appo-top h4 {
    font-family: serif;
    font-size: 28px;
    text-align: center;
    margin: 20px 0;
}

.appo-form {

    display: flex;
    flex-direction: column;
    gap: 20px;
    width: 100%;
    max-width: 400px;
   
    
}

.appo-form input {
    padding: 15px;
    border: none;
    border-radius: 5px;
    font-size: 16px;
    background: #e9e2d7;
}

.appo-form button {
    padding: 10px;
    background: linear-gradient(#edcc84, #c79833);
    color: white;
    border: none;
    border-radius: 5px;
    font-size: 16px;
    cursor: pointer;
    margin-bottom: 20px;

}
.appo-form button span i{
    padding-left: 10px;
    animation: zoomInOut 2s infinite;
}
@keyframes zoomInOut {
    0% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.5);
    }
    100% {
        transform: scale(1);
    }
}
@media(max-width:600px){

    .derma-appo{

        padding: 12% 5%;
    }

    .appo-top h4 {
       
        font-size: 24px;
       
    }
   
}
@media(max-width:350px){

    

    .appo-top h4 {
       
        font-size: 20px;
       
    }
   
}
/* responsiveness */
@media(max-width:1380px){
    .about .about-right img{
        width: 500px;}
        section, .main, .why{
            padding:10% 8%; 
        }

}
@media(max-width:1200px){
    section, .main, .why{
        padding:10% 8%; 
    }
    .about{
        flex-direction: column;
    }
    .about-left{
        text-align: center;
    }
    .about .about-right img{
        width: 600px;}
        .why-cards {
            grid-template-columns: repeat(2, 1fr);
        }
}

@media(max-width:600px){
    :root {
       
        --big-font: 6rem;
        --h2-font: 2rem;
        --h3-font: 1.6rem;
        --h4-font:1.2rem;
        --p-font: 15px;
    }
    section, .main, .why{
        padding:10% 5%; 
    }

    .about .about-right img{
        width: 100%;}
        .video-container {
            grid-template-columns: 1fr;
          }
          .why-cards {
            grid-template-columns: 1fr;
        }
}

@media(max-width:450px){
    :root {
      
        --big-font: 6rem;
        --h2-font: 1.6rem;
        --h3-font: 1.3rem;
        --h4-font:1rem;
        --p-font: 14px;
    }
  
}
@media(max-width:350px){
    :root {
      
        --big-font: 4rem;
        --h2-font: 1.3rem;
        --h3-font: 1.1rem;
        --h4-font:1rem;
        --p-font: 12px;
    }
  
}